Package io.dapr.v1

# Class DaprProtos.Job.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>
io.dapr.v1.DaprProtos.Job.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.JobOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.Job

public static final class DaprProtos.Job.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder> implements DaprProtos.JobOrBuilder

     Job is the definition of a job. At least one of schedule or due_time must be
     provided but can also be provided together.

Protobuf type `dapr.proto.runtime.v1.Job`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.Job.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.Job`
`build()`
`DaprProtos.Job`
`buildPartial()`
`DaprProtos.Job.Builder`
`clear()`
`DaprProtos.Job.Builder`
`clearData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`DaprProtos.Job.Builder`
`clearDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`DaprProtos.Job.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.Job.Builder`
`clearName()`
The unique name for the job.
`DaprProtos.Job.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.Job.Builder`
`clearRepeats()`
repeats is the optional number of times in which the job should be triggered.
`DaprProtos.Job.Builder`
`clearSchedule()`
schedule is an optional schedule at which the job is to be run.
`DaprProtos.Job.Builder`
`clearTtl()`
ttl is the optional time to live or expiration of the job.
`DaprProtos.Job.Builder`
`clone()`
`com.google.protobuf.Any`
`getData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`com.google.protobuf.Any.Builder`
`getDataBuilder()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`com.google.protobuf.AnyOrBuilder`
`getDataOrBuilder()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`DaprProtos.Job`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`String`
`getName()`
The unique name for the job.
`com.google.protobuf.ByteString`
`getNameBytes()`
The unique name for the job.
`int`
`getRepeats()`
repeats is the optional number of times in which the job should be triggered.
`String`
`getSchedule()`
schedule is an optional schedule at which the job is to be run.
`com.google.protobuf.ByteString`
`getScheduleBytes()`
schedule is an optional schedule at which the job is to be run.
`String`
`getTtl()`
ttl is the optional time to live or expiration of the job.
`com.google.protobuf.ByteString`
`getTtlBytes()`
ttl is the optional time to live or expiration of the job.
`boolean`
`hasData()`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`boolean`
`hasDueTime()`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`boolean`
`hasRepeats()`
repeats is the optional number of times in which the job should be triggered.
`boolean`
`hasSchedule()`
schedule is an optional schedule at which the job is to be run.
`boolean`
`hasTtl()`
ttl is the optional time to live or expiration of the job.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.Job.Builder`
`mergeData(com.google.protobuf.Any value)`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`DaprProtos.Job.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.Job.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.Job.Builder`
`mergeFrom(DaprProtos.Job other)`
`final DaprProtos.Job.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.Job.Builder`
`setData(com.google.protobuf.Any value)`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`DaprProtos.Job.Builder`
`setData(com.google.protobuf.Any.Builder builderForValue)`
payload is the serialized job payload that will be sent to the recipient when the job is triggered.
`DaprProtos.Job.Builder`
`setDueTime(String value)`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`DaprProtos.Job.Builder`
`setDueTimeBytes(com.google.protobuf.ByteString value)`
due_time is the optional time at which the job should be active, or the "one shot" time if other scheduling type fields are not provided.
`DaprProtos.Job.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.Job.Builder`
`setName(String value)`
The unique name for the job.
`DaprProtos.Job.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
The unique name for the job.
`DaprProtos.Job.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.Job.Builder`
`setRepeats(int value)`
repeats is the optional number of times in which the job should be triggered.
`DaprProtos.Job.Builder`
`setSchedule(String value)`
schedule is an optional schedule at which the job is to be run.
`DaprProtos.Job.Builder`
`setScheduleBytes(com.google.protobuf.ByteString value)`
schedule is an optional schedule at which the job is to be run.
`DaprProtos.Job.Builder`
`setTtl(String value)`
ttl is the optional time to live or expiration of the job.
`DaprProtos.Job.Builder`
`setTtlBytes(com.google.protobuf.ByteString value)`
ttl is the optional time to live or expiration of the job.
`final DaprProtos.Job.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### clear

public DaprProtos.Job.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### getDefaultInstanceForType

public DaprProtos.Job getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.Job build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.Job buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.Job.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### setField

public DaprProtos.Job.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### clearField

public DaprProtos.Job.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### clearOneof

public DaprProtos.Job.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### setRepeatedField

public DaprProtos.Job.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### addRepeatedField

public DaprProtos.Job.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### mergeFrom

public DaprProtos.Job.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.Job.Builder>`

### mergeFrom

public DaprProtos.Job.Builder mergeFrom(DaprProtos.Job other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### mergeFrom

public DaprProtos.Job.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.Job.Builder>`
Throws:
  `IOException`

### getName

public String getName()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DaprProtos.JobOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for name.

### setName

public DaprProtos.Job.Builder setName(String value)

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DaprProtos.Job.Builder clearName()

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DaprProtos.Job.Builder setNameBytes(com.google.protobuf.ByteString value)

     The unique name for the job.

`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasSchedule

public boolean hasSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `hasSchedule` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the schedule field is set.

### getSchedule

public String getSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `getSchedule` in interface `DaprProtos.JobOrBuilder`
Returns:
  The schedule.

### getScheduleBytes

public com.google.protobuf.ByteString getScheduleBytes()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Specified by:
  `getScheduleBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for schedule.

### setSchedule

public DaprProtos.Job.Builder setSchedule(String value)

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Parameters:
  `value` - The schedule to set.
Returns:
  This builder for chaining.

### clearSchedule

public DaprProtos.Job.Builder clearSchedule()

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Returns:
  This builder for chaining.

### setScheduleBytes

public DaprProtos.Job.Builder setScheduleBytes(com.google.protobuf.ByteString value)

     schedule is an optional schedule at which the job is to be run.
     Accepts both systemd timer style cron expressions, as well as human
     readable '@' prefixed period strings as defined below.

     Systemd timer style cron accepts 6 fields:
     seconds | minutes | hours | day of month | month        | day of week
     0-59    | 0-59    | 0-23  | 1-31         | 1-12/jan-dec | 0-6/sun-sat

     "0 30 * * * *" - every hour on the half hour
     "0 15 3 * * *" - every day at 03:15

     Period string expressions:
     Entry                  | Description                                  | Equivalent To
     -----                  | -----------                                  | -------------
     @every `<duration>`    | Run every `<duration>` (e.g. '@every 1h30m') | N/A
     @yearly (or @annually) | Run once a year, midnight, Jan. 1st          | 0 0 0 1 1 *
     @monthly               | Run once a month, midnight, first of month   | 0 0 0 1 * *
     @weekly                | Run once a week, midnight on Sunday          | 0 0 0 * * 0
     @daily (or @midnight)  | Run once a day, midnight                     | 0 0 0 * * *
     @hourly                | Run once an hour, beginning of hour          | 0 0 * * * *

`optional string schedule = 2 [json_name = "schedule"];`

Parameters:
  `value` - The bytes for schedule to set.
Returns:
  This builder for chaining.

### hasRepeats

public boolean hasRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Specified by:
  `hasRepeats` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the repeats field is set.

### getRepeats

public int getRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Specified by:
  `getRepeats` in interface `DaprProtos.JobOrBuilder`
Returns:
  The repeats.

### setRepeats

public DaprProtos.Job.Builder setRepeats(int value)

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Parameters:
  `value` - The repeats to set.
Returns:
  This builder for chaining.

### clearRepeats

public DaprProtos.Job.Builder clearRepeats()

     repeats is the optional number of times in which the job should be
     triggered. If not set, the job will run indefinitely or until expiration.

`optional uint32 repeats = 3 [json_name = "repeats"];`

Returns:
  This builder for chaining.

### hasDueTime

public boolean hasDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `hasDueTime` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the dueTime field is set.

### getDueTime

public String getDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTime` in interface `DaprProtos.JobOrBuilder`
Returns:
  The dueTime.

### getDueTimeBytes

public com.google.protobuf.ByteString getDueTimeBytes()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTimeBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for dueTime.

### setDueTime

public DaprProtos.Job.Builder setDueTime(String value)

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Parameters:
  `value` - The dueTime to set.
Returns:
  This builder for chaining.

### clearDueTime

public DaprProtos.Job.Builder clearDueTime()

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Returns:
  This builder for chaining.

### setDueTimeBytes

public DaprProtos.Job.Builder setDueTimeBytes(com.google.protobuf.ByteString value)

     due_time is the optional time at which the job should be active, or the
     "one shot" time if other scheduling type fields are not provided. Accepts
     a "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string due_time = 4 [json_name = "dueTime"];`

Parameters:
  `value` - The bytes for dueTime to set.
Returns:
  This builder for chaining.

### hasTtl

public boolean hasTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `hasTtl` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the ttl field is set.

### getTtl

public String getTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `getTtl` in interface `DaprProtos.JobOrBuilder`
Returns:
  The ttl.

### getTtlBytes

public com.google.protobuf.ByteString getTtlBytes()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Specified by:
  `getTtlBytes` in interface `DaprProtos.JobOrBuilder`
Returns:
  The bytes for ttl.

### setTtl

public DaprProtos.Job.Builder setTtl(String value)

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Parameters:
  `value` - The ttl to set.
Returns:
  This builder for chaining.

### clearTtl

public DaprProtos.Job.Builder clearTtl()

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Returns:
  This builder for chaining.

### setTtlBytes

public DaprProtos.Job.Builder setTtlBytes(com.google.protobuf.ByteString value)

     ttl is the optional time to live or expiration of the job. Accepts a
     "point in time" string in the format of RFC3339, Go duration string
     (calculated from job creation time), or non-repeating ISO8601.

`optional string ttl = 5 [json_name = "ttl"];`

Parameters:
  `value` - The bytes for ttl to set.
Returns:
  This builder for chaining.

### hasData

public boolean hasData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `hasData` in interface `DaprProtos.JobOrBuilder`
Returns:
  Whether the data field is set.

### getData

public com.google.protobuf.Any getData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `getData` in interface `DaprProtos.JobOrBuilder`
Returns:
  The data.

### setData

public DaprProtos.Job.Builder setData(com.google.protobuf.Any value)

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

### setData

public DaprProtos.Job.Builder setData(com.google.protobuf.Any.Builder builderForValue)

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

### mergeData

public DaprProtos.Job.Builder mergeData(com.google.protobuf.Any value)

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

### clearData

public DaprProtos.Job.Builder clearData()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

### getDataBuilder

public com.google.protobuf.Any.Builder getDataBuilder()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

### getDataOrBuilder

public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     payload is the serialized job payload that will be sent to the recipient
     when the job is triggered.

`.google.protobuf.Any data = 6 [json_name = "data"];`

Specified by:
  `getDataOrBuilder` in interface `DaprProtos.JobOrBuilder`

### setUnknownFields

public final DaprProtos.Job.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`

### mergeUnknownFields

public final DaprProtos.Job.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.Job.Builder>`